/*
 * lab1.c
 */

#include <avr/io.h>
#include <util/delay.h>

#include "usart.h"
#include "i2c.h"
#include "gy85.h"
#include "kalman.h"


#define TASK_NR 0

#define MORSE_LUNG  3
#define MORSE_SCURT 1

int main()
{
	int i;
	float x, y, z, freq;

	/* Initializations */
	USART0_init();
	mpu_init_structures();
	initKalman();
	
	char print_buffer[50];

	
	while (1) {
		//get data from the accelerometer
		short data[10];
		mpu_get_accel_reg(data, 0.05);
		
		//process data and get distance
		callKalman(data);
		
		//send data to USART0
		USART0_print(data);
	}

	return 0;
}


